Package gnu.io

## Class CommPort

- java.lang.Object
- - gnu.io.CommPort

- Direct Known Subclasses:
    `ParallelPort`, `SerialPort`

      public abstract class CommPort
      extends java.lang.Object

  CommPort

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `name` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommPort()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `abstract void` | `disableReceiveFraming()` |
    `abstract void` | `disableReceiveThreshold()` |
    `abstract void` | `disableReceiveTimeout()` |
    `abstract void` | `enableReceiveFraming​(int f)` |
    `abstract void` | `enableReceiveThreshold​(int thresh)` |
    `abstract void` | `enableReceiveTimeout​(int time)` |
    `abstract int` | `getInputBufferSize()` |
    `abstract java.io.InputStream` | `getInputStream()` |
    `java.lang.String` | `getName()` |
    `abstract int` | `getOutputBufferSize()` |
    `abstract java.io.OutputStream` | `getOutputStream()` |
    `abstract int` | `getReceiveFramingByte()` |
    `abstract int` | `getReceiveThreshold()` |
    `abstract int` | `getReceiveTimeout()` |
    `abstract boolean` | `isReceiveFramingEnabled()` |
    `abstract boolean` | `isReceiveThresholdEnabled()` |
    `abstract boolean` | `isReceiveTimeoutEnabled()` |
    `abstract void` | `setInputBufferSize​(int size)` |
    `abstract void` | `setOutputBufferSize​(int size)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

  - ### Constructor Detail

    - #### CommPort

          public CommPort()

  - ### Method Detail

    - #### enableReceiveFraming

          public abstract void enableReceiveFraming​(int f)
                                             throws UnsupportedCommOperationException

      Throws:
        `UnsupportedCommOperationException`

    - #### disableReceiveFraming

          public abstract void disableReceiveFraming()

    - #### isReceiveFramingEnabled

          public abstract boolean isReceiveFramingEnabled()

    - #### getReceiveFramingByte

          public abstract int getReceiveFramingByte()

    - #### disableReceiveTimeout

          public abstract void disableReceiveTimeout()

    - #### enableReceiveTimeout

          public abstract void enableReceiveTimeout​(int time)
                                             throws UnsupportedCommOperationException

      Throws:
        `UnsupportedCommOperationException`

    - #### isReceiveTimeoutEnabled

          public abstract boolean isReceiveTimeoutEnabled()

    - #### getReceiveTimeout

          public abstract int getReceiveTimeout()

    - #### enableReceiveThreshold

          public abstract void enableReceiveThreshold​(int thresh)
                                               throws UnsupportedCommOperationException

      Throws:
        `UnsupportedCommOperationException`

    - #### disableReceiveThreshold

          public abstract void disableReceiveThreshold()

    - #### getReceiveThreshold

          public abstract int getReceiveThreshold()

    - #### isReceiveThresholdEnabled

          public abstract boolean isReceiveThresholdEnabled()

    - #### setInputBufferSize

          public abstract void setInputBufferSize​(int size)

    - #### getInputBufferSize

          public abstract int getInputBufferSize()

    - #### setOutputBufferSize

          public abstract void setOutputBufferSize​(int size)

    - #### getOutputBufferSize

          public abstract int getOutputBufferSize()

    - #### close

          public void close()

    - #### getInputStream

          public abstract java.io.InputStream getInputStream()
                                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getOutputStream

          public abstract java.io.OutputStream getOutputStream()
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getName

          public java.lang.String getName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`